制造工艺流程

下面的例子显示了你如何使用SpreadJS电子表格来记录监督你的制造操作所需的所有信息。

这个例子使用fromJSON加载一个预定义的模板。它强调了条件格式化、火花线、形状、下拉和超链接的使用。 *第一个工作表 在这里,我们把销售订单分成了3个类别。上个月,这个月和下个月。这个例子广泛地使用了单元格下拉框。 这些单元格下拉菜单包括。 DateTime Picker - 日期列,时间被省略。 Color Picker - 颜色列。 List - 状态栏。 它还使用条件格式化和超链接。 第二个工作表 这个工作表使用形状来创建一个制造过程的工作流程。
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 5 }); initSpread(spread); }; function initSpread(spread) { if (!spread) { return; } spread.suspendPaint(); spread.fromJSON(data); spread.resumePaint(); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="spreadjs culture" content="zh-cn" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets-resources-zh/dist/gc.spread.sheets.resources.zh.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/man-process.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%;height:100%"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

这个例子使用fromJSON加载一个预定义的模板。它强调了条件格式化、火花线、形状、下拉和超链接的使用。
*第一个工作表
在这里,我们把销售订单分成了3个类别。上个月,这个月和下个月。这个例子广泛地使用了单元格下拉框。
这些单元格下拉菜单包括。
DateTime Picker - 日期列,时间被省略。
Color Picker - 颜色列。
List - 状态栏。
它还使用条件格式化和超链接。
第二个工作表
这个工作表使用形状来创建一个制造过程的工作流程。
<template>
<div class="sample-tutorial">
<gc-spread-sheets hostClass="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
<gc-column> </gc-column>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@grapecity-software/spread-sheets";
import '@grapecity-software/spread-sheets-resources-zh';
GC.Spread.Common.CultureManager.culture("zh-cn");
import { ref } from "vue";
import "@grapecity-software/spread-sheets-vue";
import '@grapecity-software/spread-sheets-shapes';
const spreadRef = ref(null);
const initSpread = (spread) => {
spreadRef.value = spread;
spread.suspendPaint();
spread.fromJSON(data);
spread.resumePaint();
};
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/zh/vue3/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/man-process.js" type="text/javascript"></script>
<script src="$DEMOROOT$/zh/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="https://cdn.grapecity.com.cn/online/resources/compiler-sfc.esm-browser.js" type="module" defer></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/zh/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function(global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.grapecity.com.cn/SpreadJS/package-contents/18.2.0/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@grapecity-software/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@grapecity-software/spread-sheets': 'cdn:spread-sheets/index.js',
'@grapecity-software/spread-sheets-vue': 'cdn:spread-sheets-vue/index.js',
'@grapecity-software/spread-sheets-shapes': 'cdn:spread-sheets-shapes/index.js',
'@grapecity-software/spread-sheets-resources-zh': 'cdn:spread-sheets-resources-zh/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);